#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.4.2
visibility:           public
id:                   snap-core-1.0.4.2-GuwX9PNeLDWEDdR7oYmBhm
key:                  snap-core-1.0.4.2-GuwX9PNeLDWEDdR7oYmBhm
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  7c3fc1d108d75db44f575434d5d4eb46
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-8.10.3/site-local/snap-core-1.0.4.2
library-dirs:         /usr/lib/ghc-8.10.3/site-local/snap-core-1.0.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/snap-core-1.0.4.2
hs-libraries:         HSsnap-core-1.0.4.2-GuwX9PNeLDWEDdR7oYmBhm
depends:
    HUnit-1.6.2.0-6Qz5k8URKehKv59h9ZmD3M
    attoparsec-0.13.2.4-3KIunrRLdh4G7KtfrdatRR base-4.14.1.0
    bytestring-0.10.12.0
    case-insensitive-1.2.1.0-FNPG7Elx0ENFGNzs8Np9J7 containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1
    hashable-1.3.0.0-KDYgfWb4vLFEllXA1zgjX
    io-streams-1.5.2.0-G0GAMbOD2Z43ZlJijeWEWo
    lifted-base-0.2.3.12-7jZmJ47IdlYEctaOs8rg3E
    monad-control-1.0.2.3-aR5PnOlU9QBoAF3GUqmc3 mtl-2.2.2
    network-3.1.2.1-IKBKB32QfOpBaCdBzK7XSA
    network-uri-2.6.3.0-1XcaYMZ3xqIKvsiL6N8MU3
    old-locale-1.0.0.7-LpTuchyagHAP7STZdm71P
    random-1.2.0-30OhcoBMr9kCHjpVnmjVCw
    readable-0.3.1-ADUCwf111zyALvpIUwWBeo
    regex-posix-0.96.0.0-DQaDVfrmGK31u50xHf8DJc text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-FPcQuWdK00b30Iy3GvW2f7
    unix-compat-0.5.3-E98n0JyMac7Bz478oqWJHX
    unordered-containers-0.2.13.0-JMmUMTViutlBDpWEaCrbh4
    vector-0.12.2.0-CTKdHZ2Betb5QHFFflD8i8

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

